## EvPageAction

EvPageAction

## Synopsis

                        EvPageAction;
                        EvPageActionPrivate;
                        EvPageActionClass;
    void                ev_page_action_set_model            (EvPageAction *page_action,
                                                             EvDocumentModel *model);
    void                ev_page_action_set_links_model      (EvPageAction *page_action,
                                                             GtkTreeModel *links_model);
    void                ev_page_action_grab_focus           (EvPageAction *page_action);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EvPageAction

## Implemented Interfaces

EvPageAction implements GtkBuildable.

## Properties

      "model"                    GtkTreeModel*         : Read / Write

## Signals

      "activate-link"                                  : Run Last / Action

## Description

## Details

### EvPageAction

    typedef struct _EvPageAction EvPageAction;

### EvPageActionPrivate

    typedef struct _EvPageActionPrivate EvPageActionPrivate;

### EvPageActionClass

    typedef struct {
    	GtkActionClass parent_class;

    	void     (* activate_link) (EvPageAction *page_action,
    			            EvLink       *link);
    } EvPageActionClass;

### ev_page_action_set_model ()

    void                ev_page_action_set_model            (EvPageAction *page_action,
                                                             EvDocumentModel *model);

`page_action` : |
`model` : |

### ev_page_action_set_links_model ()

    void                ev_page_action_set_links_model      (EvPageAction *page_action,
                                                             GtkTreeModel *links_model);

### ev_page_action_grab_focus ()

    void                ev_page_action_grab_focus           (EvPageAction *page_action);

`page_action` : |

## Property Details

### The `"model"` property

      "model"                    GtkTreeModel*         : Read / Write

Current Links Model.

## Signal Details

### The `"activate-link"` signal

    void                user_function                      (EvPageAction *evpageaction,
                                                            GObject      *arg1,
                                                            gpointer      user_data)         : Run Last / Action

`evpageaction` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.